Veeam Restore Error: Copying Data from Deduplicated Volumes

KB ID 0001521

Problem

If you attempt to restore items from a backup of a server where the data was stored on a deduplicated volume, you may see the following error;

Veeam - Copying files from deduplicated

Copying data from deduplicated volumes requires that the console is installed on Windows Server 2012 R2 or later with the data duplication feature enabled.
Restoring files from  deduplicated volumes requires that the mount server associated with the source backup repository uses Windows Server 2012 R2 or later with data deduplication feature enabled.

This tells me two things, firstly no one at Veeam can use a comma, and secondly we are missing a Windows feature.

Solution

Normally if you see posts for this, it will tell you to install the deduplication on the Veeam server, (because that fixed their problem). That worked because the mount server and the Veeam Backup and Replication management server were the same server. However if you are remote managing Veeam, then the mount server is the server you are running backup and replication management on. You need to bear this in mind, if you are managing Veeam from an OS that does not support Deduplication, then you may need to remote onto another server to perform the restore.

Open a PowerShell session, and execute the following commands; (That last one will reboot!)

Import-Module ServerManager
Add-WindowsFeature -name FS-Data-Deduplication
Restart-Computer

Windows Sever Add deduplication

Retry the restore;

Related Articles, References, Credits, or External Links

NA

Author: PeteLong

Share This Post On

5 Comments

  1. For the love of God, please proof read your own solution before you complain about other’s grammar/spelling.

    Post a Reply
    • Ha! Touché. This is what I get for not getting my wife to proof read my work.

      P

      Post a Reply
  2. My branch office has a mount server running 2012R2 and my Veeam server at my DC is 2016. Does that mean my mount server at my branch office needs to be upgraded to at least 2016?

    Post a Reply
    • No – it simply needs the de-dupe feature adding 🙂

      Post a Reply
      • All my servers at the branch (mount/repo) have the de-dup feature already… and I can restore. Maybe this a bug.

        Post a Reply

Leave a Reply to Bill Rellergert Cancel reply

Your email address will not be published. Required fields are marked *